Skip to content

Workspaces

Workspaces group your avatars, voices, and sessions. API tokens can be scoped to a single workspace.

Try it →

List workspaces

GET /api/v1/workspaces

Returns all workspaces accessible to the authenticated token.

Required scope: workspaces:read

Response 200

{
"data": [
{
"id": "019...",
"name": "My workspace",
"plan": "free",
"owner_user_id": "019...",
"created_at": 1719000000,
"updated_at": null
}
]
}

Create a workspace

POST /api/v1/workspaces

Required scope: workspaces:write

Request body

{
"name": "My workspace",
"plan": "free"
}
FieldRequiredDescription
nameYesHuman-readable label.
planNoDefaults to "free".

Response 201

{
"id": "019...",
"name": "My workspace",
"plan": "free",
"owner_user_id": "019...",
"created_at": 1719000000,
"updated_at": null
}

Get a workspace

GET /api/v1/workspaces/{wsId}

Required scope: workspaces:read

Response 200 — same shape as the workspace object above.


Update a workspace

PATCH /api/v1/workspaces/{wsId}

Required scope: workspaces:write

Request body

{ "name": "New name" }

Response 200 — updated workspace object.